{% load i18n sekizai_tags %}
{% load translation_filters %}
{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title></title>
    <link href="{% static 'frontend/css/hzpc/bootstrap.css' %}" rel="stylesheet" type="text/css" />
    <style type="text/css">
        body {
            font-family: "Trebuchet MS", Helvetica, Arial, sans-serif;
        }
        .bold {
            font-weight: bold;
        }
        .heading {
            font-weight: bold;
            padding-top: 10px;
            padding-bottom: 10px;
        }
        .paragraph {
            padding-top: 10px;
            padding-bottom: 10px;
        }
        .header-img {
            width: 200px;
        }
        .pdt-10 {
            padding-top: 10px;
        }
        @page {
          size: A4;
          margin: 0;
        }
        @media print {
          html, body {
            width: 210mm;
            height: 297mm;
          }
        }
        table {
            table-layout: fixed;
        }
        table th, table td {
            overflow: hidden;
            word-wrap: break-word
        }
    </style>
</head>
<body>
    <div class="container">
        {% if farm_group_logo %}
        <div class="row text-right">
            <div class="col-lg-12">
                <img class="header-img" src="{{ farm_group_logo }}">
            </div>
        </div>
        {% endif %}
        <div class="row">
            <div class="col-lg-12">
                <h3 class="bold">Samenvatting {{assessment_type}} audit {{audit_date}}</h3>
            </div>
        </div>
        <div class="row pdt-10">
            <div class="col-lg-12 bold">
                Algemeen
            </div>
            <div class="col-lg-12">
                Audit startdatum: {{actual_audit_start_date}}
            </div>
            <div class="col-lg-12">
                Auditor: {{auditor}}
            </div>
            <div class="col-lg-12">
                Telernr: {{grower_number}}
            </div>
            <div class="col-lg-12">
                Adres: {{ mailing_address1 }} {{ mailing_address2 }}
            </div>
            <div class="col-lg-12">
                Woonplaats: {{ city }}
            </div>
            <div class="col-lg-12">
                Postcode: {{post_code}}
            </div>
            <div class="col-lg-12">
                Land: {{country}}
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12 heading">
                Gewassen
            </div>
            <div class="col-lg-4">
              <table class="table table-bordered">
                <thead>
                  <tr>
                    <th>Gewas</th>
                    <th>Ha</th>
                  </tr>
                </thead>
                <tbody>
                    {% for product in products %}
                        <tr>
                            <td>{{product.product_type_name|ugettext_filter}}</td>
                            <td>{{product.product_area}}</td>
                        </tr>
                    {% endfor %}
                </tbody>
              </table>
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12 heading">
                Auditresultaten
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
              <table class="table table-bordered">
                <thead>
                  <tr>
                    <th class="col-lg-2">Soort</th>
                    <th class="col-lg-2">Hfd</th>
                    <th class="col-lg-6">Opmerking</th>
                    <th class="col-lg-2">Opgelost</th>
                  </tr>
                </thead>
                <tbody>
                    {% for judgement in judgements %}
                      <tr>
                          {% if judgement.question.level_object %}
                            <td class="col-lg-2">{{judgement.question.level_object.title}}</td>
                          {% else %}
                            <td class="col-lg-2"></td>
                          {% endif %}
                        <td class="col-lg-2">{{judgement.question.code}}</td>
                        <td class="col-lg-6">{{judgement.justification}}</td>
                          {% if judgement.evaluation_is_solved %}
                            <td class="col-lg-2">V</td>
                          {% else %}
                            <td class="col-lg-2">&nbsp;</td>
                          {% endif %}

                      </tr>
                    {% endfor %}
                </tbody>
              </table>
            </div>
        </div>
        {% if workflow_judgement == 'positive' %}
        <div class="row paragraph">
            <div class="col-lg-12">
                U blijft binnen de normen van {{ assessment_type }} en voldoet aan de certificeringsvereisten van {{ assessment_type }}. Het certificaat is bijgevoegd.
            </div>
        </div>
        {% endif %}
        {% if workflow_judgement == 'negative' or  workflow_judgement == '' %}
        <div class="row paragraph">
            <div class="col-lg-12">
                U voldoet nog niet aan de normen van {{ assessment_type }}. Tijdens de {{ assessment_type }} audit zijn afwijkingen geconstateerd, die correctieve actie nodig hebben. Ga om deze te corrigeren naar {{ farm_group_portal_url }} en klik op ‘Bedrijfscertificering’.
            </div>
        </div>
        {% endif %}
        <div class="row paragraph">
            <div class="col-lg-12">
                Met vriendelijke groet,
            </div>
            <div class="col-lg-12">
                {{coordinator_name}}
            </div>
            <div class="col-lg-12">
                Coördinator
            </div>
        </div>
        <div class="row">
            <div class="col-lg-12">
                HZPC Holland B.V.
            </div>
        </div>
    </div>
</body>
</html>